<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>documentation/info_segments/display_file_value_.info</title>
<meta name="Generator" content="Vim/9.1">
<meta name="plugin-version" content="vim9.0_v2">
<meta name="syntax" content="none">
<meta name="settings" content="number_lines,use_css,no_foldcolumn,expand_tabs,line_ids,pre_wrap,prevent_copy=,use_input_for_pc=none">
<meta name="colorscheme" content="PaperColor">
<style>
<!--
pre { white-space: pre-wrap; font-family: monospace; color: #d0d0d0; background-color: #000000; }
body { font-family: monospace; color: #d0d0d0; background-color: #000000; }
* { font-size: 1em; }
.textRainbow_lv1_p0 { color: #ffffe0; }
.textRainbow_lv0_o0 { color: #add8e6; }
.textRainbow_lv0_p0 { color: #add8e6; }
.LineNr { color: #585858; }
-->
</style>

<script>
<!--

/* function to open any folds containing a jumped-to line before jumping to it */
function JumpToLine()
{
  var lineNum;
  lineNum = window.location.hash;
  lineNum = lineNum.substr(1); /* strip off '#' */

  if (lineNum.indexOf('L') == -1) {
    lineNum = 'L'+lineNum;
  }
  var lineElem = document.getElementById(lineNum);
  /* Always jump to new location even if the line was hidden inside a fold, or
   * we corrected the raw number to a line ID.
   */
  if (lineElem) {
    lineElem.scrollIntoView(true);
  }
  return true;
}
if ('onhashchange' in window) {
  window.onhashchange = JumpToLine;
}

-->
</script>
</head>
<body onload='JumpToLine();'>
<pre id='vimCodeElement'>
<span id="L1" class="LineNr"> 1 </span>03/31/83  display_file_value_
<span id="L2" class="LineNr"> 2 </span>
<span id="L3" class="LineNr"> 3 </span>
<span id="L4" class="LineNr"> 4 </span>Entry points in display_file_value_:
<span id="L5" class="LineNr"> 5 </span>   <span class="textRainbow_lv0_p0">(</span>List is generated by the help command<span class="textRainbow_lv0_p0">)</span>
<span id="L6" class="LineNr"> 6 </span>
<span id="L7" class="LineNr"> 7 </span>
<span id="L8" class="LineNr"> 8 </span>:Entry: display_file_value_: 02/01/83  display_file_value_
<span id="L9" class="LineNr"> 9 </span>
<span id="L10" class="LineNr">10 </span>
<span id="L11" class="LineNr">11 </span>Function: outputs information about a file on a user-supplied switch.
<span id="L12" class="LineNr">12 </span>
<span id="L13" class="LineNr">13 </span>
<span id="L14" class="LineNr">14 </span>Syntax:
<span id="L15" class="LineNr">15 </span>dcl display_file_value_ entry <span class="textRainbow_lv0_p0">(</span>ptr<span class="textRainbow_lv0_o0">,</span> file<span class="textRainbow_lv0_o0">,</span> fixed bin <span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L16" class="LineNr">16 </span>call display_file_value_ <span class="textRainbow_lv0_p0">(</span>switch<span class="textRainbow_lv0_o0">,</span> a_file<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L17" class="LineNr">17 </span>
<span id="L18" class="LineNr">18 </span>
<span id="L19" class="LineNr">19 </span>Arguments:
<span id="L20" class="LineNr">20 </span>switch
<span id="L21" class="LineNr">21 </span>   is a pointer to the iocb of the switch on which output is to be
<span id="L22" class="LineNr">22 </span>   written.  If it is null, then iox_$user_output is used.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L23" class="LineNr">23 </span>a_file
<span id="L24" class="LineNr">24 </span>   is the file, variable, or constant whose value is to be displayed.
<span id="L25" class="LineNr">25 </span>   <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L26" class="LineNr">26 </span>code
<span id="L27" class="LineNr">27 </span>   is a standard status code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L28" class="LineNr">28 </span>
<span id="L29" class="LineNr">29 </span>
<span id="L30" class="LineNr">30 </span>Notes:
<span id="L31" class="LineNr">31 </span>The output produced is, first, the values of the two pointers that
<span id="L32" class="LineNr">32 </span>comprise a file.  If the file is closed, then a note to that effect is
<span id="L33" class="LineNr">33 </span>produced, and the values of the file attribute block are given, and
<span id="L34" class="LineNr">34 </span>that is all.
<span id="L35" class="LineNr">35 </span>
<span id="L36" class="LineNr">36 </span>For all open files, the file name, address of its iocb, and pathname
<span id="L37" class="LineNr">37 </span>are given.  If the file is neither stream nor record type, or if it is
<span id="L38" class="LineNr">38 </span>both, then a note to the effect that the fsb is inconsistent is given.
<span id="L39" class="LineNr">39 </span>Attributes relevant to the type of file <span class="textRainbow_lv0_p0">(</span>stream or record<span class="textRainbow_lv0_p0">)</span> are given.
<span id="L40" class="LineNr">40 </span>For stream input files, the current input buffer is printed, with a
<span id="L41" class="LineNr">41 </span>circumflex above the next character that is to be parsed.
</pre>
<script defer src='https://static.cloudflareinsights.com/beacon.min.js' data-cf-beacon='{"token": "4b6a131644014aa29fd88953508c3a3d"}'></script></body>
</html>
<!-- vim: set foldmethod=manual : -->
